# Note that this is NOT a relocatable package
%define ver      0.2.12
%define rel      5

Summary: The Enlightened Sound Daemon.
Name:      esound
Version:   %ver
Release:   %rel
Copyright: GPL
Group: System Environment/Daemons
Source0:   esound-%{PACKAGE_VERSION}.tar.gz
Patch0:    esound-%{PACKAGE_VERSION}-sparc.patch

BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root

Docdir: %{_prefix}/doc

%description
EsounD -- the Enlightened Sound Daemon -- is a server process
that allows multiple applications to share a single sound
card. For example, when you're listening to music from your CD
and you receive a sound-related event from ICQ, your applications
won't have to jockey for the attention of your sound card.

EsounD mixes several audio streams for playback by a single
audio device.

Install esound if you'd like to allow for such event sharing
by your audio device.

%package devel
Summary: Libraries, includes and more to develop EsounD applications.
Group: Development/Libraries
Requires: esound
Requires: audiofile-devel

%description devel
Libraries, include files and other resources you can use
to develoop EsounD applications.

%prep
%setup -q
%patch -p0 -b .sparc

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{_prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog EsounD.html INSTALL NEWS README TIPS TODO
%{_prefix}/bin/esd
%{_prefix}/bin/esdcat
%{_prefix}/bin/esdctl
%{_prefix}/bin/esddsp
%{_prefix}/bin/esdfilt
%{_prefix}/bin/esdloop
%{_prefix}/bin/esdmon
%{_prefix}/bin/esdplay
%{_prefix}/bin/esdrec
%{_prefix}/bin/esdsample
%{_prefix}/lib/lib*.so.*
%{_prefix}/lib/lib*.so

%files devel
%defattr(-, root, root)

%{_prefix}/bin/esd-config
%{_prefix}/lib/*a
%{_prefix}/include/*
%{_prefix}/share/aclocal/*

%changelog
* Sun May 16 1999 Jeff Johnson <jbj@redhat.com>
- don't rely on (broken!) rpm %patch (#2735)

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- moved *.so into esound from esound-devel, needed by esddsp

* Sun Apr 18 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller to make esound work on sparc

* Mon Apr 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.12

* Fri Apr 09 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.11

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- bump release to stay 1 ahead of 5.2 packages so upgrades work

* Mon Apr 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.10

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.9

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8 with SIGPIPE fixes from Raster

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8

* Wed Feb 3 1999 Jonathan Blandford <jrb@redhat.com>
- bug fixes -- new release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation of GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added %{prefix}/share/aclocal/* to %files devel
- added spanish and french translations for rpm

* Thu Oct 1 1998 Ricdude <ericmit@ix.netcom.com>
- make autoconf do the version updating for us.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
